Webservices update user has problems with preferredname and studentid fields

Bug #1630764 reported by Robert Lyon on 2016-10-05
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Unassigned
15.04
High
Unassigned
15.10
High
Unassigned
16.04
High
Unassigned
16.10
High
Unassigned

Bug Description

This is like bug 1630753 but this also needs to be fixed for 16.10+ as well

Mahara Bot (dev-mahara) wrote :

Patch for "16.10_STABLE" branch: https://reviews.mahara.org/7083

Mahara Bot (dev-mahara) wrote :

Patch for "master" branch: https://reviews.mahara.org/7084

Reviewed: https://reviews.mahara.org/7082
Committed: https://git.mahara.org/mahara/mahara/commit/01a34a7cb7224dfd3924cd6cd45f1693e23a078e
Submitter: Aaron Wells (<email address hidden>)
Branch: 16.04_STABLE

commit 01a34a7cb7224dfd3924cd6cd45f1693e23a078e
Author: Robert Lyon <email address hidden>
Date: Thu Oct 6 10:11:05 2016 +1300

Bug 1630764: fixing for update user via webservices

behatnotneeded

Change-Id: Id9ad96fd651423b1a8078ddc8cf7de87a857bf39
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/7148

Reviewed: https://reviews.mahara.org/7083
Committed: https://git.mahara.org/mahara/mahara/commit/8b84d6e7a3daa748a6947ae7615c98b813f210e5
Submitter: Aaron Wells (<email address hidden>)
Branch: 16.10_STABLE

commit 8b84d6e7a3daa748a6947ae7615c98b813f210e5
Author: Robert Lyon <email address hidden>
Date: Thu Oct 6 10:11:05 2016 +1300

Bug 1630764: fixing for update user via webservices

behatnotneeded

Change-Id: Id9ad96fd651423b1a8078ddc8cf7de87a857bf39
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7084
Committed: https://git.mahara.org/mahara/mahara/commit/ddee80bc5907bdc413b89be393504dc3cf70de19
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit ddee80bc5907bdc413b89be393504dc3cf70de19
Author: Robert Lyon <email address hidden>
Date: Thu Oct 6 10:11:05 2016 +1300

Bug 1630764: fixing for update user via webservices

The fields that exists in usr table that also need updating in
artefact table for artefacttype, eg studentid

behatnotneeded

Change-Id: Id9ad96fd651423b1a8078ddc8cf7de87a857bf39
Signed-off-by: Robert Lyon <email address hidden>

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7147
Committed: https://git.mahara.org/mahara/mahara/commit/bda64db581dbcbccbef4f49487a557283dadf964
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit bda64db581dbcbccbef4f49487a557283dadf964
Author: Robert Lyon <email address hidden>
Date: Thu Oct 6 10:11:05 2016 +1300

Bug 1630764: fixing for update user via webservices

behatnotneeded

Change-Id: Id9ad96fd651423b1a8078ddc8cf7de87a857bf39
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 01a34a7cb7224dfd3924cd6cd45f1693e23a078e)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7148
Committed: https://git.mahara.org/mahara/mahara/commit/8995297e2bb671dd1796264706bd4634e7f1bd56
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 8995297e2bb671dd1796264706bd4634e7f1bd56
Author: Robert Lyon <email address hidden>
Date: Thu Oct 6 10:11:05 2016 +1300

Bug 1630764: fixing for update user via webservices

behatnotneeded

Change-Id: Id9ad96fd651423b1a8078ddc8cf7de87a857bf39
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 01a34a7cb7224dfd3924cd6cd45f1693e23a078e)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.10.0 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers